"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScrollSpyProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ScrollSpyContext_1 = require("./ScrollSpyContext");
const useScrollSpy_1 = require("./useScrollSpy");
/**
 * @param ScrollSpyParams Optional params
 * @param ScrollSpyParams.offsetPx Distance from Y coordinate of the base (px)
 * @param ScrollSpyParams.throttleMs Interval of update processing (ms)
 * @returns ScrollSpyProvider - This Provider components provides useScrollSpy return value descendants of this Provider
 */
const ScrollSpyProvider = ({ children, offsetPx = 0, throttleMs = 100, } = {}) => {
    const [activeEntry, actions] = (0, useScrollSpy_1.useScrollSpy)({ offsetPx, throttleMs });
    return ((0, jsx_runtime_1.jsx)(ScrollSpyContext_1.ScrollSpyContext.Provider, Object.assign({ value: { activeEntry, actions } }, { children: children }), void 0));
};
exports.ScrollSpyProvider = ScrollSpyProvider;
//# sourceMappingURL=ScrollSpyProvider.js.map