"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.throttle = void 0;
const throttle = (fn, interval) => {
    let lastInvokeTime = Date.now();
    const invokeFn = (fn) => {
        const time = Date.now();
        const timeSinceLastInvoke = time - lastInvokeTime;
        const shouldInvoke = timeSinceLastInvoke > interval;
        if (!shouldInvoke) {
            return;
        }
        fn();
        lastInvokeTime = time;
    };
    return () => invokeFn(fn);
};
exports.throttle = throttle;
//# sourceMappingURL=throttle.js.map