import { jsx as _jsx } from "react/jsx-runtime";
import { ScrollSpyContext } from './ScrollSpyContext';
import { useScrollSpy } from "./useScrollSpy";
/**
 * @param ScrollSpyParams Optional params
 * @param ScrollSpyParams.offsetPx Distance from Y coordinate of the base (px)
 * @param ScrollSpyParams.throttleMs Interval of update processing (ms)
 * @returns ScrollSpyProvider - This Provider components provides useScrollSpy return value descendants of this Provider
 */
export const ScrollSpyProvider = ({ children, offsetPx = 0, throttleMs = 100, } = {}) => {
    const [activeEntry, actions] = useScrollSpy({ offsetPx, throttleMs });
    return (_jsx(ScrollSpyContext.Provider, Object.assign({ value: { activeEntry, actions } }, { children: children }), void 0));
};
//# sourceMappingURL=ScrollSpyProvider.js.map