export const throttle = (fn, interval) => {
    let lastInvokeTime = Date.now();
    const invokeFn = (fn) => {
        const time = Date.now();
        const timeSinceLastInvoke = time - lastInvokeTime;
        const shouldInvoke = timeSinceLastInvoke > interval;
        if (!shouldInvoke) {
            return;
        }
        fn();
        lastInvokeTime = time;
    };
    return () => invokeFn(fn);
};
//# sourceMappingURL=throttle.js.map