import { ScrollSpyEntry, ScrollSpyParams, ScrollSpyActions } from "./type";
/**
 * @param ScrollSpyParams Optional params
 * @param ScrollSpyParams.offsetPx Distance from Y coordinate of the base (px)
 * @param ScrollSpyParams.throttleMs Interval of update processing (ms)
 * @returns [ activeEntry, actions ] - Two return values are returned as an array
 * @returns activeEntry - DOM element activated based on scroll position (only one)
 * @returns actions - Actions are used to control registered DOM elements
 */
export declare const useScrollSpy: ({ offsetPx, throttleMs, }?: ScrollSpyParams) => [ScrollSpyEntry | null, ScrollSpyActions];
